CssAndImages (gCube News Poster Widget 1.5.0-3.6.0 API)
Date: 2015-03-02

org.gcube.portlets.widgets.applicationnews.client.bundles

## Interface CssAndImages

- All Superinterfaces:
    com.google.gwt.resources.client.ClientBundle

      public interface CssAndImages
      extends com.google.gwt.resources.client.ClientBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `com.google.gwt.resources.client.ClientBundle.Source`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CssAndImages` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.resources.client.ImageResource` | `buttonImage()`
    `com.google.gwt.resources.client.CssResource` | `css()`
    `com.google.gwt.resources.client.ImageResource` | `feedPreviewBorderImage()`
    `com.google.gwt.resources.client.ImageResource` | `ok()`
    `com.google.gwt.resources.client.ImageResource` | `spinner()`

- - ### Field Detail

    - #### INSTANCE

          static final CssAndImages INSTANCE

  - ### Method Detail

    - #### css

          @ClientBundle.Source(value="ApplicationNews_Widget.css")
          com.google.gwt.resources.client.CssResource css()

    - #### spinner

          @ClientBundle.Source(value="feeds-loader.gif")
          com.google.gwt.resources.client.ImageResource spinner()

    - #### ok

          @ClientBundle.Source(value="yes.png")
          com.google.gwt.resources.client.ImageResource ok()

    - #### buttonImage

          @ImageResource.ImageOptions(repeatStyle=None)
          @ClientBundle.Source(value="post-news.png")
          com.google.gwt.resources.client.ImageResource buttonImage()

    - #### feedPreviewBorderImage

          @ImageResource.ImageOptions(repeatStyle=Horizontal)
          @ClientBundle.Source(value="feed-preview-border.png")
          com.google.gwt.resources.client.ImageResource feedPreviewBorderImage()

Copyright © 2015. All Rights Reserved.